/*
Tecnisa - Tecnologia em Informtica

Nome: VERIFICA_DATA, APURAC_VENC, GERA_CONTAPAGAR

Descrio:
Procedimento para criao dos vencimentos da NF
de acordo com a forma de pagamento do cliente, fornecedor, pedido,
licena de uso ou autorizao de fornecimento.

Criao:
26/11/99 - Roberto A. Lopes Martins

@D:\Sistemas\Dba\Sql\Oracle\0006_GERSTP_APURACVENC.SQL

Manuteno:
28/03/2001 - Ana Paula da Silva - Converso para SqlServer
*/

/* Procedure para verificar se a data  vlida (parcelas fixas no dia 31)*/
IF EXISTS (SELECT * FROM SYSOBJECTS O, SYSUSERS U
                    WHERE
	        O.NAME = 'VERIFICA_DATA'  AND
	        TYPE = 'P' 			       AND
	        U.UID = O.UID             AND
	        U.NAME = USER)
  DROP PROCEDURE VERIFICA_DATA
  GO
CREATE PROCEDURE VERIFICA_DATA
   @P_STDIAVENC    VARCHAR(02),
   @P_DTVENCIMENTO DATETIME,
   @P_INSOMAMES    INTEGER,
   @P_STRETURN     VARCHAR(02) OUTPUT
AS
BEGIN
   DECLARE @V_STDIA      VARCHAR(02);
   DECLARE @V_DTAUXILIAR DATETIME;
   SET @V_DTAUXILIAR = DATEADD(MM, @P_INSOMAMES, @P_DTVENCIMENTO);
   SET @V_DTAUXILIAR = DATEADD(MM, 1, @V_DTAUXILIAR) - DAY(DATEADD(MM, 1, @V_DTAUXILIAR));
   SET @V_STDIA = RIGHT('00' + CONVERT(VARCHAR, DAY(@V_DTAUXILIAR)), 2);
   IF (@P_STDIAVENC > CAST(@V_STDIA AS INTEGER)) BEGIN
      SET @P_STRETURN = @V_STDIA;
   END
   ELSE BEGIN
      SET @P_STRETURN = @P_STDIAVENC;
   END
END;
GO

