/******************************************************************************/
/******************************************************************************/
/*                                                                            */
/* Trigger: DTULTATU_ECLI                                                     */
/* Tabela : ENDECLIE                                                          */
/*                                                                            */
/* Criao:                                                                   */
/* 03/05/2004 - David Moreno Ferreira                                         */
/*                                                                            */
/******************************************************************************/

IF EXISTS(SELECT * FROM sysobjects O, sysusers U
          WHERE
            o.name = 'DTULTATU_ECLI'  and
            type = 'TR'               and
            u.uid = o.uid             and
            u.name = USER)
   DROP TRIGGER DTULTATU_ECLI
GO

CREATE TRIGGER DTULTATU_ECLI
ON ENDECLIE
FOR INSERT, UPDATE, DELETE
AS
BEGIN
   IF (0 = (SELECT COUNT(*) FROM INSERTED)) BEGIN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
			      (SELECT 'ENDECLIE', null, 'CDCLIENTE=' + CDCLIENTE + ';' +
                                       'IDTPENDECLIE='+ IDTPENDECLIE + ';', GETDATE() FROM DELETED)
   END
   ELSE BEGIN
      UPDATE ENDECLIE
      SET DTULTATUECLI = GETDATE()
      FROM INSERTED
      WHERE (ISNULL(ENDECLIE.SGESTADO,0)     = ISNULL(INSERTED.SGESTADO,0)) AND
            (ISNULL(ENDECLIE.DSENDECLIE,0)   = ISNULL(INSERTED.DSENDECLIE,0)) AND
            (ISNULL(ENDECLIE.NMBAIRCLIE,0)   = ISNULL(INSERTED.NMBAIRCLIE,0)) AND
            (ISNULL(ENDECLIE.NRCEPCLIE,0)    = ISNULL(INSERTED.NRCEPCLIE,0)) AND
            (ISNULL(ENDECLIE.NRTELECLIE,0)   = ISNULL(INSERTED.NRTELECLIE,0)) AND
            (ISNULL(ENDECLIE.NRFAXCLIE,0)    = ISNULL(INSERTED.NRFAXCLIE,0)) AND
            (ISNULL(ENDECLIE.CDPAIS,0)       = ISNULL(INSERTED.CDPAIS,0)) AND
            (ISNULL(ENDECLIE.CDMUNICIPIO,0)  = ISNULL(INSERTED.CDMUNICIPIO,0)) AND
            (ISNULL(ENDECLIE.CDCLIENTE,0)    = ISNULL(INSERTED.CDCLIENTE,0)) AND
            (ISNULL(ENDECLIE.IDTPENDECLIE,0) = ISNULL(INSERTED.IDTPENDECLIE,0));
   END;
END;
GO

